summaryrefslogtreecommitdiff
path: root/tests/readlink/multi.sh
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2015-01-13 03:30:33 +0000
committerPádraig Brady <P@draigBrady.com>2015-01-14 12:20:32 +0000
commit58cff8a009ed9b8280c5f35074cef97231286023 (patch)
tree771e8b3fa70fab99b548790931803b75dd272603 /tests/readlink/multi.sh
parent924b1cadff3f2782475516d7eca9aabe856dbf0f (diff)
downloadcoreutils-58cff8a009ed9b8280c5f35074cef97231286023.tar.xz
tests: add extra protection against unexpected exits
Many tests use `program ... && fail=1` to ensure expected error situations are indicated. However that would mask an unexpected exit (like a crash). Therefore explicitly check the expected exit code. Note where error messages are also verified, the extra protection is not added. * tests/init.sh (returns_): A new helper function to check the return code of a command, and used throughout the tests. * cfg.mk (sc_prohibit_and_fail_1): Add a syntax check to avoid new instances of this issue.
Diffstat (limited to 'tests/readlink/multi.sh')
-rwxr-xr-xtests/readlink/multi.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/readlink/multi.sh b/tests/readlink/multi.sh
index 17aab4059..c7c2ef711 100755
--- a/tests/readlink/multi.sh
+++ b/tests/readlink/multi.sh
@@ -23,8 +23,8 @@ touch regfile || framework_failure_
ln -s regfile link1 || framework_failure_
readlink link1 link1 || fail=1
-readlink link1 link2 && fail=1
-readlink link1 link2 link1 && fail=1
+returns_ 1 readlink link1 link2 || fail=1
+returns_ 1 readlink link1 link2 link1 || fail=1
readlink -m link1 link2 || fail=1
printf '/1\0/1\0' > exp || framework_failure_